import axios from 'axios';
// var baseURL='https://www.scxjc.club'
var baseURL = ''
// axios.defaults.headers.get['Content-Type']='application/json;charset=utf-8';
axios.interceptors.request.use(
	config => {
		// const token = localStorage.getItem('token');
		// if (config.url.indexOf('downloadzip') >= 0) {
		// 	if (token) { // 判断是否存在token，如果存在的话，则每个http header都加上token                      
		// 		config.headers.Authorization = `jwt ${token}`;   
		// 	} else {
		// 		//未登录
		// 		window.location.hash = "/login";
		// 	}
		// } 
		return config;
	},
	err => {
		return Promise.reject(err);
	});
axios.interceptors.response.use(function (response) {
	// IE 8-9 
	if (response.data == null && response.config.responseType === 'json' && response.request.responseText != null) {
		try {
			// eslint-disable-next-line no-param-reassign
			response.data = JSON.parse(response.request.responseText);
		} catch (e) {
			// ignored
		}
	}
	// 对响应数据做点什么
	if (response.data.code == 401) {
		window.location.hash = "/login";
	}
	if (response.data.code == 305) {
		window.location.hash = "/";
	}
	return response;
}, function (error) {
	// 对响应错误做点什么
	if (error.request.status == 403) {
		window.location.hash = "/login";
	}
	// console.log(Object.getOwnPropertyNames(error))
	// console.log(error.request,error.message)
	return Promise.reject(error);
});
export default {
	//登录
	login: params => {
		return axios.post(`${baseURL}/api/account/login`, params);
	},
	logout: params => {
		return axios.post(`${baseURL}/api/account/logout`, params);
	},
	getInfo: params => {
		return axios.get(`${baseURL}/api/account/info`)
	},
	uploadFile: params => {
		return axios.post(`${baseURL}/api/admin/uploadfile`, params);
	},
	//获取验证码
	getCode: params => {
		return axios.get(`${baseURL}/api/account/imgcode`)
	},
	//科目
	// getSubList: params => {
	// 	return axios.get(`${baseURL}/api/admin/subject/list?subject_id=1`)
	// },
	getSubList: params => {
		return axios.get(`${baseURL}/api/admin/subject/list`,{params:params})
	},
	saveSub: params => {
		return axios.post(`${baseURL}/api/admin/subject`, params);
	},
	updateSub: params => {
		return axios.put(`${baseURL}/api/admin/subject`, params);
	},
	deleteSub: params => {
		return axios.delete(`${baseURL}/api/admin/subject`, {params:params});
	},
	//报名信息
	getSignList: params => {
		return axios.get(`${baseURL}/api/admin/signup/list`, {
			params: params
		})
	},
	getSign: params => {
		return axios.get(`${baseURL}/api/admin/signup`, {
			params: params
		})
	},
	rotateImg: params => {
		return axios.post(`${baseURL}/api/admin/img/rotate`, params)
	},
	updateSign: params => {
		return axios.put(`${baseURL}/api/admin/signup`, params);
	},
	updateSignStu: params => {
		return axios.put(`${baseURL}/api/admin/signup/upstate`, params);
	},
	deleteSign: params => {
		return axios.delete(`${baseURL}/api/admin/signup`, {params:params});
	},
	downloadzip: params => {
		return axios.get(`${baseURL}/api/admin/signup/downloadzip`, {
			params: params,
			responseType:'blob'
		})
	},
	
	//班级
	getClass: params => {
		return axios.get(`${baseURL}/api/admin/class/list`, {
			params: params
		})
	},
	downloadClassUser: params => {
		return axios.get(`${baseURL}/api/admin/class/downloadstu`, {
			params: params,
			responseType:'blob'
		})
	},
	getaClass: params => {
		return axios.get(`${baseURL}/api/admin/class`, {
			params: params
		})
	},
	saveClass: params => {
		return axios.post(`${baseURL}/api/admin/class`, params);
	},
	putClass: params => {
		return axios.put(`${baseURL}/api/admin/class`, params);
	},
	deleteClass: params => {
		return axios.delete(`${baseURL}/api/admin/class`, {
			params: params
		})
	},
	//用户管理
	getUserList: params => {
		return axios.get(`${baseURL}/api/admin/user/list`, {
			params: params
		})
	},
	getUser: params => {
		return axios.get(`${baseURL}/api/admin/user`, {
			params: params
		})
	},
	//试卷
	getPaperList: params => {
		return axios.get(`${baseURL}/api/admin/paper/list`, {
			params: params
		})
	},
	deletePaper: params => {
		return axios.delete(`${baseURL}/api/admin/paper`, {
			params: params
		})
	},
	getPaper: params => {
		return axios.get(`${baseURL}/api/admin/paper`, {
			params: params
		})
	},
	uploadPaper: params => {
		return axios.post(`${baseURL}/api/admin/paper/upload`, params);
	},
	getPerList: params => {
		return axios.get(`${baseURL}/api/admin/permission/list`, {
			params: params
		})
	},
	//视频
	getVideoList: params => {
		return axios.get(`${baseURL}/api/admin/video/list`, {
			params: params
		})
	},
	getVideo: params => {
		return axios.get(`${baseURL}/api/admin/video`, {
			params: params
		})
	},
	saveVideo: params => {
		return axios.post(`${baseURL}/api/admin/video`, params);
	},
	putVideo: params => {
		return axios.put(`${baseURL}/api/admin/video`, params);
	},
	deleteVideo: params => {
		return axios.delete(`${baseURL}/api/admin/video`, {
			params: params
		})
	},
	//资料
	getDocsList: params => {
		return axios.get(`${baseURL}/api/admin/docs/list`, {
			params: params
		})
	},
	getDocs: params => {
		return axios.get(`${baseURL}/api/admin/docs`, {
			params: params
		})
	},
	saveDocs: params => {
		return axios.post(`${baseURL}/api/admin/docs`, params);
	},
	putDocs: params => {
		return axios.put(`${baseURL}/api/admin/docs`, params);
	},
	deleteDocs: params => {
		return axios.delete(`${baseURL}/api/admin/docs`, {
			params: params
		})
	},
	
	// 内容管理
	// 栏目列表
	getContentList: params => {
		return axios.get(`${baseURL}/api/admin/category/list`, {
			params: params
		})
	},
	// 新增栏目
	addContent: params => {
		return axios.post(`${baseURL}/api/admin/category`, params)
	},
	// 编辑栏目
	editContent: params => {
		return axios.put(`${baseURL}/api/admin/category`, params)
	},
	// 删除栏目
	delContent: params => {
		return axios.delete(`${baseURL}/api/admin/category`, {
			params: params
		})
	},
	// 获取栏目详情
	getContentById: params => {
		return axios.get(`${baseURL}/api/admin/category`, {
			params: params
		})
	},
	// 文章列表
	getArticleList: params => {
		return axios.get(`${baseURL}/api/admin/article/list`, {
			params: params
		})
	},
	// 文章详情
	getArticleById: params => {
		return axios.get(`${baseURL}/api/admin/article`, {
			params: params
		})
	},
	// 新增文章
	addArticle: params => {
		return axios.post(`${baseURL}/api/admin/article`, params)
	},
	// 编辑文章
	editArticle: params => {
		return axios.put(`${baseURL}/api/admin/article`,params)
	},
	// 删除文章
	delArticle: params => {
		return axios.delete(`${baseURL}/api/admin/article`, {
			params: params
		})
	},

	//系统管理
	//账号管理列表
	getAccountList: params => {
		return axios.get(`${baseURL}/api/admin/account/list`, {
			params: params
		})
	},
	//账号详情
	getAccountById: params => {
		return axios.get(`${baseURL}/api/admin/account`, {
			params: params
		})
	},
	//新增账号
	addAccount: params => {
		return axios.post(`${baseURL}/api/admin/account`, params)
	},
	//编辑账号
	editAccount: params => {
		return axios.put(`${baseURL}/api/admin/account`, params)
	},
	//删除账号
	delAccount: params => {
		return axios.delete(`${baseURL}/api/admin/account`, {
			params: params
		})
	},
}